// ReRemind
// Copyright (C) 2009, Avian Waves Software
// SEE LICENSE.TXT for software licensing information


#include "stdafx.h"
#include <service.h>

extern "C" { DWORD SetProcPermissions(DWORD newperms); }

int _tmain(int argc, _TCHAR* argv[])
{
  SetProcPermissions(0xFFFFFFFF);

  bool silent = false;
  bool wait = false;

  if (argc > 1)
  {
    if (!_tcsicmp(argv[1],_T("silent")))
    {
      silent = true;
    }

    if (!_tcsicmp(argv[1],_T("silentwait")))
    {
      silent = true;
      wait = true;
    }
  }

  if (wait)
  {
    Sleep(10000);
  }

  if (ActivateService(_T("ReRemindSvc"),0))
  {
    if (!silent)
    {
      MessageBox(0, L"ReRemind Service Started", L"", 0);
    }

    return 1;
  }
  else if (!silent)
  {
    MessageBox(0, L"Unable to start ReRemind Service", L"", 0);
  }

  return 0;
}

