#include <nled.h>

// from the platform builder <Pwinuser.h>
extern "C" 
{
  BOOL WINAPI NLedGetDeviceInfo( UINT     nInfoId, void   *pOutput );
  BOOL WINAPI NLedSetDevice( UINT nDeviceId, void *pInput );
};

void LedOn(int id)
{
  NLED_SETTINGS_INFO settings;
  settings.LedNum= id;
  settings.OffOnBlink= 1;
  NLedSetDevice(NLED_SETTINGS_INFO_ID, &settings);
}
void LedOff(int id)
{
  NLED_SETTINGS_INFO settings;
  settings.LedNum= id;
  settings.OffOnBlink= 0;
  NLedSetDevice(NLED_SETTINGS_INFO_ID, &settings);
}